pcl::LINEMODDetection Struct Reference

Represents a detection of a template using the LINEMOD approach. More...

`#include <pcl/recognition/linemod.h>`

## Public Member Functions

| LINEMODDetection ()
| Constructor. More...

## Public Attributes

int | x
| x-position of the detection. More...
int | y
| y-position of the detection. More...
int | template_id
| ID of the detected template. More...
float | score
| score of the detection. More...
float | scale
| scale at which the template was detected. More...

## Detailed Description

Represents a detection of a template using the LINEMOD approach.

Author
  Stefan Holzer

Definition at line 314 of file linemod.h.

## Constructor & Destructor Documentation

pcl::LINEMODDetection::LINEMODDetection | ( |  | ) |

inline

Constructor.

Definition at line 317 of file linemod.h.

## Member Data Documentation

float pcl::LINEMODDetection::scale

scale at which the template was detected.

Definition at line 328 of file linemod.h.

Referenced by pcl::LineRGBD< PointXYZT, PointRGBT >::detectSemiScaleInvariant().

float pcl::LINEMODDetection::score

score of the detection.

Definition at line 326 of file linemod.h.

Referenced by pcl::LineRGBD< PointXYZT, PointRGBT >::detect(), and pcl::LineRGBD< PointXYZT, PointRGBT >::detectSemiScaleInvariant().

int pcl::LINEMODDetection::template_id

ID of the detected template.

Definition at line 324 of file linemod.h.

Referenced by pcl::LineRGBD< PointXYZT, PointRGBT >::detect(), and pcl::LineRGBD< PointXYZT, PointRGBT >::detectSemiScaleInvariant().

int pcl::LINEMODDetection::x

x-position of the detection.

Definition at line 320 of file linemod.h.

Referenced by pcl::LineRGBD< PointXYZT, PointRGBT >::detect(), and pcl::LineRGBD< PointXYZT, PointRGBT >::detectSemiScaleInvariant().

int pcl::LINEMODDetection::y

y-position of the detection.

Definition at line 322 of file linemod.h.

Referenced by pcl::LineRGBD< PointXYZT, PointRGBT >::detect(), and pcl::LineRGBD< PointXYZT, PointRGBT >::detectSemiScaleInvariant().

The documentation for this struct was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/recognition/include/pcl/recognition/linemod.h